<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: compression_state Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structcompression__state-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">compression_state Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:adf14e1207e8d90e33e92cfb95b468d3b"><td class="memItemLeft" align="right" valign="top"><a id="adf14e1207e8d90e33e92cfb95b468d3b"></a>
png_const_bytep&#160;</td><td class="memItemRight" valign="bottom"><b>input</b></td></tr>
<tr class="separator:adf14e1207e8d90e33e92cfb95b468d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac02652a570eb1e91af374bf683f6581b"><td class="memItemLeft" align="right" valign="top"><a id="ac02652a570eb1e91af374bf683f6581b"></a>
png_alloc_size_t&#160;</td><td class="memItemRight" valign="bottom"><b>input_len</b></td></tr>
<tr class="separator:ac02652a570eb1e91af374bf683f6581b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6eff8edf553a973c6fe2b9454d96a0"><td class="memItemLeft" align="right" valign="top"><a id="aea6eff8edf553a973c6fe2b9454d96a0"></a>
png_uint_32&#160;</td><td class="memItemRight" valign="bottom"><b>output_len</b></td></tr>
<tr class="separator:aea6eff8edf553a973c6fe2b9454d96a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f655613a1bad5d242fb0b5a91420609"><td class="memItemLeft" align="right" valign="top"><a id="a8f655613a1bad5d242fb0b5a91420609"></a>
png_byte&#160;</td><td class="memItemRight" valign="bottom"><b>output</b> [1024]</td></tr>
<tr class="separator:a8f655613a1bad5d242fb0b5a91420609"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>pngwutil.c</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
